org.crosswire.jsword.index.query

## Class BlurQuery

- java.lang.Object
- - org.crosswire.jsword.index.query.AbstractBinaryQuery
  - - org.crosswire.jsword.index.query.BlurQuery

- All Implemented Interfaces:
    BinaryQuery, Query

      public class BlurQuery
      extends AbstractBinaryQuery

  A blur query specifies how much to blur the results of the right query before ANDing it to the left.
  Author:
    DM Smith
  See Also:
    `The GNU Lesser General Public License for details.`

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private int` | `factor`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `BlurQuery(Query theLeftQuery, Query theRightQuery, int theFactor)` Create a query that specifies how much to blur the results of the right query before ANDing it to the left.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Key` | `find(Index index)` Find the keys that match the query in the index
    `int` | `getFactor()`

    - ### Methods inherited from class org.crosswire.jsword.index.query.AbstractBinaryQuery

      `getLeftQuery, getRightQuery`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### factor

          private int factor

  - ### Constructor Detail

    - #### BlurQuery

          public BlurQuery(Query theLeftQuery,
                   Query theRightQuery,
                   int theFactor)

      Create a query that specifies how much to blur the results of the right query before ANDing it to the left.
      Parameters:
        `theLeftQuery` -
        `theRightQuery` -
        `theFactor` - the amount of blurring

  - ### Method Detail

    - #### find

          public Key find(Index index)
                   throws BookException

      Description copied from interface: `Query`
      Find the keys that match the query in the index
      Parameters:
        `index` - the index to search
      Returns:
        the set of keys that match
      Throws:
        `BookException`

    - #### getFactor

          public int getFactor()

      Returns:
        the blur factor